"Fossies" - the Fresh Open Source Software Archive

Member "regexxer-0.10/Makefile.in" (6 Oct 2011, 40456 Bytes) of package /linux/privat/old/regexxer-0.10.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file.

    1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
    5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
    6 # Inc.
    7 # This Makefile.in is free software; the Free Software Foundation
    8 # gives unlimited permission to copy and/or distribute it,
    9 # with or without modifications, as long as this notice is preserved.
   10 
   11 # This program is distributed in the hope that it will be useful,
   12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   14 # PARTICULAR PURPOSE.
   15 
   16 @SET_MAKE@
   17 
   18 
   19 
   20 VPATH = @srcdir@
   21 pkgdatadir = $(datadir)/@PACKAGE@
   22 pkgincludedir = $(includedir)/@PACKAGE@
   23 pkglibdir = $(libdir)/@PACKAGE@
   24 pkglibexecdir = $(libexecdir)/@PACKAGE@
   25 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   26 install_sh_DATA = $(install_sh) -c -m 644
   27 install_sh_PROGRAM = $(install_sh) -c
   28 install_sh_SCRIPT = $(install_sh) -c
   29 INSTALL_HEADER = $(INSTALL_DATA)
   30 transform = $(program_transform_name)
   31 NORMAL_INSTALL = :
   32 PRE_INSTALL = :
   33 POST_INSTALL = :
   34 NORMAL_UNINSTALL = :
   35 PRE_UNINSTALL = :
   36 POST_UNINSTALL = :
   37 bin_PROGRAMS = src/regexxer$(EXEEXT)
   38 subdir = .
   39 DIST_COMMON = README $(am__configure_deps) $(dist_appicon_DATA) \
   40 	$(dist_noinst_DATA) $(dist_noinst_SCRIPTS) \
   41 	$(dist_pkgdata_DATA) $(srcdir)/Makefile.am \
   42 	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
   43 	$(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
   44 	depcomp install-sh missing
   45 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   46 am__aclocal_m4_deps = $(top_srcdir)/m4/dk-pkgprog.m4 \
   47 	$(top_srcdir)/m4/dk-warn.m4 $(top_srcdir)/m4/intltool.m4 \
   48 	$(top_srcdir)/configure.ac
   49 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
   50 	$(ACLOCAL_M4)
   51 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
   52  configure.lineno config.status.lineno
   53 mkinstalldirs = $(install_sh) -d
   54 CONFIG_HEADER = config.h
   55 CONFIG_CLEAN_FILES =
   56 CONFIG_CLEAN_VPATH_FILES =
   57 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(desktopdir)" \
   58 	"$(DESTDIR)$(appicondir)" "$(DESTDIR)$(pkgdatadir)" \
   59 	"$(DESTDIR)$(gsettingsschemadir)"
   60 PROGRAMS = $(bin_PROGRAMS)
   61 am__dirstamp = $(am__leading_dot)dirstamp
   62 am_src_regexxer_OBJECTS = src/completionstack.$(OBJEXT) \
   63 	src/controller.$(OBJEXT) src/filebuffer.$(OBJEXT) \
   64 	src/filebufferundo.$(OBJEXT) src/fileio.$(OBJEXT) \
   65 	src/fileshared.$(OBJEXT) src/filetree.$(OBJEXT) \
   66 	src/filetreeprivate.$(OBJEXT) src/main.$(OBJEXT) \
   67 	src/mainwindow.$(OBJEXT) src/prefdialog.$(OBJEXT) \
   68 	src/signalutils.$(OBJEXT) src/statusline.$(OBJEXT) \
   69 	src/stringutils.$(OBJEXT) src/translation.$(OBJEXT) \
   70 	src/undostack.$(OBJEXT)
   71 nodist_src_regexxer_OBJECTS =
   72 src_regexxer_OBJECTS = $(am_src_regexxer_OBJECTS) \
   73 	$(nodist_src_regexxer_OBJECTS)
   74 am__DEPENDENCIES_1 =
   75 src_regexxer_DEPENDENCIES = $(am__DEPENDENCIES_1) \
   76 	$(am__DEPENDENCIES_1)
   77 SCRIPTS = $(dist_noinst_SCRIPTS)
   78 DEFAULT_INCLUDES = 
   79 depcomp = $(SHELL) $(top_srcdir)/depcomp
   80 am__depfiles_maybe = depfiles
   81 am__mv = mv -f
   82 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
   83 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
   84 CXXLD = $(CXX)
   85 CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
   86 	-o $@
   87 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
   88 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
   89 CCLD = $(CC)
   90 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
   91 SOURCES = $(src_regexxer_SOURCES) $(nodist_src_regexxer_SOURCES)
   92 DIST_SOURCES = $(src_regexxer_SOURCES)
   93 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
   94 	html-recursive info-recursive install-data-recursive \
   95 	install-dvi-recursive install-exec-recursive \
   96 	install-html-recursive install-info-recursive \
   97 	install-pdf-recursive install-ps-recursive install-recursive \
   98 	installcheck-recursive installdirs-recursive pdf-recursive \
   99 	ps-recursive uninstall-recursive
  100 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  101 am__vpath_adj = case $$p in \
  102     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  103     *) f=$$p;; \
  104   esac;
  105 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  106 am__install_max = 40
  107 am__nobase_strip_setup = \
  108   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  109 am__nobase_strip = \
  110   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  111 am__nobase_list = $(am__nobase_strip_setup); \
  112   for p in $$list; do echo "$$p $$p"; done | \
  113   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  114   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  115     if (++n[$$2] == $(am__install_max)) \
  116       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  117     END { for (dir in files) print dir, files[dir] }'
  118 am__base_list = \
  119   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  120   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  121 DATA = $(desktop_DATA) $(dist_appicon_DATA) $(dist_noinst_DATA) \
  122 	$(dist_pkgdata_DATA) $(gsettingsschema_DATA)
  123 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  124   distclean-recursive maintainer-clean-recursive
  125 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
  126 	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
  127 	distdir dist dist-all distcheck
  128 ETAGS = etags
  129 CTAGS = ctags
  130 DIST_SUBDIRS = $(SUBDIRS)
  131 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  132 distdir = $(PACKAGE)-$(VERSION)
  133 top_distdir = $(distdir)
  134 am__remove_distdir = \
  135   { test ! -d "$(distdir)" \
  136     || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  137          && rm -fr "$(distdir)"; }; }
  138 am__relativize = \
  139   dir0=`pwd`; \
  140   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  141   sed_rest='s,^[^/]*/*,,'; \
  142   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  143   sed_butlast='s,/*[^/]*$$,,'; \
  144   while test -n "$$dir1"; do \
  145     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  146     if test "$$first" != "."; then \
  147       if test "$$first" = ".."; then \
  148         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  149         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  150       else \
  151         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  152         if test "$$first2" = "$$first"; then \
  153           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  154         else \
  155           dir2="../$$dir2"; \
  156         fi; \
  157         dir0="$$dir0"/"$$first"; \
  158       fi; \
  159     fi; \
  160     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  161   done; \
  162   reldir="$$dir2"
  163 GZIP_ENV = --best
  164 DIST_ARCHIVES = $(distdir).tar.xz
  165 distuninstallcheck_listfiles = find . -type f -print
  166 distcleancheck_listfiles = find . -type f -print
  167 ACLOCAL = @ACLOCAL@
  168 ACLOCAL_FLAGS = @ACLOCAL_FLAGS@
  169 ALL_LINGUAS = @ALL_LINGUAS@
  170 AMTAR = @AMTAR@
  171 AUTOCONF = @AUTOCONF@
  172 AUTOHEADER = @AUTOHEADER@
  173 AUTOMAKE = @AUTOMAKE@
  174 AWK = @AWK@
  175 CATALOGS = @CATALOGS@
  176 CATOBJEXT = @CATOBJEXT@
  177 CC = @CC@
  178 CCDEPMODE = @CCDEPMODE@
  179 CFLAGS = @CFLAGS@
  180 CPP = @CPP@
  181 CPPFLAGS = @CPPFLAGS@
  182 CXX = @CXX@
  183 CXXDEPMODE = @CXXDEPMODE@
  184 CXXFLAGS = @CXXFLAGS@
  185 CYGPATH_W = @CYGPATH_W@
  186 DATADIRNAME = @DATADIRNAME@
  187 DEFS = @DEFS@
  188 DEPDIR = @DEPDIR@
  189 ECHO_C = @ECHO_C@
  190 ECHO_N = @ECHO_N@
  191 ECHO_T = @ECHO_T@
  192 EGREP = @EGREP@
  193 EXEEXT = @EXEEXT@
  194 GDK_PIXBUF_CSOURCE = @GDK_PIXBUF_CSOURCE@
  195 GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
  196 GLIB_COMPILE_SCHEMAS = @GLIB_COMPILE_SCHEMAS@
  197 GMOFILES = @GMOFILES@
  198 GMSGFMT = @GMSGFMT@
  199 GREP = @GREP@
  200 GSETTINGS_DISABLE_SCHEMAS_COMPILE = @GSETTINGS_DISABLE_SCHEMAS_COMPILE@
  201 GTK_UPDATE_ICON_CACHE = @GTK_UPDATE_ICON_CACHE@
  202 INSTALL = @INSTALL@
  203 INSTALL_DATA = @INSTALL_DATA@
  204 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  205 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  206 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  207 INSTOBJEXT = @INSTOBJEXT@
  208 INTLLIBS = @INTLLIBS@
  209 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
  210 INTLTOOL_MERGE = @INTLTOOL_MERGE@
  211 INTLTOOL_PERL = @INTLTOOL_PERL@
  212 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
  213 LDFLAGS = @LDFLAGS@
  214 LIBOBJS = @LIBOBJS@
  215 LIBS = @LIBS@
  216 LTLIBOBJS = @LTLIBOBJS@
  217 MAKEINFO = @MAKEINFO@
  218 MKDIR_P = @MKDIR_P@
  219 MKINSTALLDIRS = @MKINSTALLDIRS@
  220 MSGFMT = @MSGFMT@
  221 MSGFMT_OPTS = @MSGFMT_OPTS@
  222 MSGMERGE = @MSGMERGE@
  223 OBJEXT = @OBJEXT@
  224 PACKAGE = @PACKAGE@
  225 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  226 PACKAGE_NAME = @PACKAGE_NAME@
  227 PACKAGE_STRING = @PACKAGE_STRING@
  228 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  229 PACKAGE_URL = @PACKAGE_URL@
  230 PACKAGE_VERSION = @PACKAGE_VERSION@
  231 PATH_SEPARATOR = @PATH_SEPARATOR@
  232 PKG_CONFIG = @PKG_CONFIG@
  233 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  234 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  235 POFILES = @POFILES@
  236 POSUB = @POSUB@
  237 PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
  238 PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
  239 REGEXXER_MODULES_CFLAGS = @REGEXXER_MODULES_CFLAGS@
  240 REGEXXER_MODULES_LIBS = @REGEXXER_MODULES_LIBS@
  241 REGEXXER_WARNING_FLAGS = @REGEXXER_WARNING_FLAGS@
  242 SET_MAKE = @SET_MAKE@
  243 SHELL = @SHELL@
  244 STRIP = @STRIP@
  245 USE_NLS = @USE_NLS@
  246 VERSION = @VERSION@
  247 XGETTEXT = @XGETTEXT@
  248 abs_builddir = @abs_builddir@
  249 abs_srcdir = @abs_srcdir@
  250 abs_top_builddir = @abs_top_builddir@
  251 abs_top_srcdir = @abs_top_srcdir@
  252 ac_ct_CC = @ac_ct_CC@
  253 ac_ct_CXX = @ac_ct_CXX@
  254 am__include = @am__include@
  255 am__leading_dot = @am__leading_dot@
  256 am__quote = @am__quote@
  257 am__tar = @am__tar@
  258 am__untar = @am__untar@
  259 bindir = @bindir@
  260 build_alias = @build_alias@
  261 builddir = @builddir@
  262 datadir = @datadir@
  263 datarootdir = @datarootdir@
  264 docdir = @docdir@
  265 dvidir = @dvidir@
  266 exec_prefix = @exec_prefix@
  267 gsettingsschemadir = @gsettingsschemadir@
  268 host_alias = @host_alias@
  269 htmldir = @htmldir@
  270 includedir = @includedir@
  271 infodir = @infodir@
  272 install_sh = @install_sh@
  273 libdir = @libdir@
  274 libexecdir = @libexecdir@
  275 localedir = @localedir@
  276 localstatedir = @localstatedir@
  277 mandir = @mandir@
  278 mkdir_p = @mkdir_p@
  279 oldincludedir = @oldincludedir@
  280 pdfdir = @pdfdir@
  281 prefix = @prefix@
  282 program_transform_name = @program_transform_name@
  283 psdir = @psdir@
  284 sbindir = @sbindir@
  285 sharedstatedir = @sharedstatedir@
  286 srcdir = @srcdir@
  287 sysconfdir = @sysconfdir@
  288 target_alias = @target_alias@
  289 top_build_prefix = @top_build_prefix@
  290 top_builddir = @top_builddir@
  291 top_srcdir = @top_srcdir@
  292 AUTOMAKE_OPTIONS = subdir-objects
  293 ACLOCAL_AMFLAGS = -I m4 ${ACLOCAL_FLAGS}
  294 DISTCHECK_CONFIGURE_FLAGS = --disable-schemas-install --enable-warnings=fatal
  295 SUBDIRS = po
  296 src_regexxer_SOURCES = \
  297 	src/completionstack.cc \
  298 	src/completionstack.h \
  299 	src/controller.cc	\
  300 	src/controller.h	\
  301 	src/filebuffer.cc	\
  302 	src/filebuffer.h	\
  303 	src/filebufferundo.cc	\
  304 	src/filebufferundo.h	\
  305 	src/fileio.cc		\
  306 	src/fileio.h		\
  307 	src/fileshared.cc	\
  308 	src/fileshared.h	\
  309 	src/filetree.cc		\
  310 	src/filetree.h		\
  311 	src/filetreeprivate.cc	\
  312 	src/filetreeprivate.h	\
  313 	src/globalstrings.h	\
  314 	src/main.cc		\
  315 	src/mainwindow.cc	\
  316 	src/mainwindow.h	\
  317 	src/miscutils.h		\
  318 	src/prefdialog.cc	\
  319 	src/prefdialog.h	\
  320 	src/sharedptr.h		\
  321 	src/signalutils.cc	\
  322 	src/signalutils.h	\
  323 	src/statusline.cc	\
  324 	src/statusline.h	\
  325 	src/stringutils.cc	\
  326 	src/stringutils.h	\
  327 	src/translation.cc	\
  328 	src/translation.h	\
  329 	src/undostack.cc	\
  330 	src/undostack.h		\
  331 	src/settings.h
  332 
  333 nodist_src_regexxer_SOURCES = \
  334 	ui/stockimages.h
  335 
  336 
  337 # The location of the gettext catalogs as defined by intltool.
  338 rxlocaledir = $(prefix)/$(DATADIRNAME)/locale
  339 global_defs = -DREGEXXER_LOCALEDIR=\""$(rxlocaledir)"\" -DREGEXXER_PKGDATADIR=\""$(pkgdatadir)"\"
  340 AM_CPPFLAGS = $(global_defs) -I$(top_builddir) $(REGEXXER_MODULES_CFLAGS) $(REGEXXER_WARNING_FLAGS)
  341 src_regexxer_LDADD = $(REGEXXER_MODULES_LIBS) $(INTLLIBS)
  342 dist_pkgdata_DATA = ui/mainwindow.ui ui/prefdialog.ui
  343 iconthemedir = $(datadir)/icons/hicolor
  344 appicondir = $(iconthemedir)/48x48/apps
  345 dist_appicon_DATA = ui/regexxer.png
  346 gsettingsschema_in_files = ui/org.regexxer.gschema.xml.in
  347 gsettingsschema_DATA = ui/org.regexxer.gschema.xml
  348 desktop_in_files = ui/regexxer.desktop.in
  349 desktopdir = $(datadir)/applications
  350 desktop_DATA = ui/regexxer.desktop
  351 dist_intltool = intltool-extract.in intltool-merge.in intltool-update.in
  352 stockimages = ui/stock_save_all_16.png ui/stock_save_all_24.png
  353 dist_noinst_DATA = $(stockimages) $(dist_intltool) $(desktop_in_files) $(gsettingsschema_in_files)
  354 dist_noinst_SCRIPTS = autogen.sh
  355 BUILT_SOURCES = $(nodist_src_regexxer_SOURCES)
  356 CLEANFILES = $(nodist_src_regexxer_SOURCES) $(desktop_DATA) $(gsettingsschema_DATA)
  357 DISTCLEANFILES = intltool-extract intltool-merge intltool-update
  358 pixbuf_csource = $(GDK_PIXBUF_CSOURCE) --raw
  359 update_icon_cache = $(GTK_UPDATE_ICON_CACHE) --ignore-theme-index --force
  360 all: $(BUILT_SOURCES) config.h
  361 	$(MAKE) $(AM_MAKEFLAGS) all-recursive
  362 
  363 .SUFFIXES:
  364 .SUFFIXES: .cc .o .obj
  365 am--refresh:
  366 	@:
  367 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
  368 	@for dep in $?; do \
  369 	  case '$(am__configure_deps)' in \
  370 	    *$$dep*) \
  371 	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
  372 	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
  373 		&& exit 0; \
  374 	      exit 1;; \
  375 	  esac; \
  376 	done; \
  377 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
  378 	$(am__cd) $(top_srcdir) && \
  379 	  $(AUTOMAKE) --gnu Makefile
  380 .PRECIOUS: Makefile
  381 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  382 	@case '$?' in \
  383 	  *config.status*) \
  384 	    echo ' $(SHELL) ./config.status'; \
  385 	    $(SHELL) ./config.status;; \
  386 	  *) \
  387 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  388 	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  389 	esac;
  390 
  391 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  392 	$(SHELL) ./config.status --recheck
  393 
  394 $(top_srcdir)/configure:  $(am__configure_deps)
  395 	$(am__cd) $(srcdir) && $(AUTOCONF)
  396 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
  397 	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  398 $(am__aclocal_m4_deps):
  399 
  400 config.h: stamp-h1
  401 	@if test ! -f $@; then \
  402 	  rm -f stamp-h1; \
  403 	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
  404 	else :; fi
  405 
  406 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  407 	@rm -f stamp-h1
  408 	cd $(top_builddir) && $(SHELL) ./config.status config.h
  409 $(srcdir)/config.h.in:  $(am__configure_deps) 
  410 	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  411 	rm -f stamp-h1
  412 	touch $@
  413 
  414 distclean-hdr:
  415 	-rm -f config.h stamp-h1
  416 install-binPROGRAMS: $(bin_PROGRAMS)
  417 	@$(NORMAL_INSTALL)
  418 	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
  419 	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
  420 	for p in $$list; do echo "$$p $$p"; done | \
  421 	sed 's/$(EXEEXT)$$//' | \
  422 	while read p p1; do if test -f $$p; \
  423 	  then echo "$$p"; echo "$$p"; else :; fi; \
  424 	done | \
  425 	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
  426 	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
  427 	sed 'N;N;N;s,\n, ,g' | \
  428 	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
  429 	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
  430 	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
  431 	    else { print "f", $$3 "/" $$4, $$1; } } \
  432 	  END { for (d in files) print "f", d, files[d] }' | \
  433 	while read type dir files; do \
  434 	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
  435 	    test -z "$$files" || { \
  436 	      echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
  437 	      $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
  438 	    } \
  439 	; done
  440 
  441 uninstall-binPROGRAMS:
  442 	@$(NORMAL_UNINSTALL)
  443 	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
  444 	files=`for p in $$list; do echo "$$p"; done | \
  445 	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
  446 	      -e 's/$$/$(EXEEXT)/' `; \
  447 	test -n "$$list" || exit 0; \
  448 	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
  449 	cd "$(DESTDIR)$(bindir)" && rm -f $$files
  450 
  451 clean-binPROGRAMS:
  452 	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
  453 src/$(am__dirstamp):
  454 	@$(MKDIR_P) src
  455 	@: > src/$(am__dirstamp)
  456 src/$(DEPDIR)/$(am__dirstamp):
  457 	@$(MKDIR_P) src/$(DEPDIR)
  458 	@: > src/$(DEPDIR)/$(am__dirstamp)
  459 src/completionstack.$(OBJEXT): src/$(am__dirstamp) \
  460 	src/$(DEPDIR)/$(am__dirstamp)
  461 src/controller.$(OBJEXT): src/$(am__dirstamp) \
  462 	src/$(DEPDIR)/$(am__dirstamp)
  463 src/filebuffer.$(OBJEXT): src/$(am__dirstamp) \
  464 	src/$(DEPDIR)/$(am__dirstamp)
  465 src/filebufferundo.$(OBJEXT): src/$(am__dirstamp) \
  466 	src/$(DEPDIR)/$(am__dirstamp)
  467 src/fileio.$(OBJEXT): src/$(am__dirstamp) \
  468 	src/$(DEPDIR)/$(am__dirstamp)
  469 src/fileshared.$(OBJEXT): src/$(am__dirstamp) \
  470 	src/$(DEPDIR)/$(am__dirstamp)
  471 src/filetree.$(OBJEXT): src/$(am__dirstamp) \
  472 	src/$(DEPDIR)/$(am__dirstamp)
  473 src/filetreeprivate.$(OBJEXT): src/$(am__dirstamp) \
  474 	src/$(DEPDIR)/$(am__dirstamp)
  475 src/main.$(OBJEXT): src/$(am__dirstamp) src/$(DEPDIR)/$(am__dirstamp)
  476 src/mainwindow.$(OBJEXT): src/$(am__dirstamp) \
  477 	src/$(DEPDIR)/$(am__dirstamp)
  478 src/prefdialog.$(OBJEXT): src/$(am__dirstamp) \
  479 	src/$(DEPDIR)/$(am__dirstamp)
  480 src/signalutils.$(OBJEXT): src/$(am__dirstamp) \
  481 	src/$(DEPDIR)/$(am__dirstamp)
  482 src/statusline.$(OBJEXT): src/$(am__dirstamp) \
  483 	src/$(DEPDIR)/$(am__dirstamp)
  484 src/stringutils.$(OBJEXT): src/$(am__dirstamp) \
  485 	src/$(DEPDIR)/$(am__dirstamp)
  486 src/translation.$(OBJEXT): src/$(am__dirstamp) \
  487 	src/$(DEPDIR)/$(am__dirstamp)
  488 src/undostack.$(OBJEXT): src/$(am__dirstamp) \
  489 	src/$(DEPDIR)/$(am__dirstamp)
  490 src/regexxer$(EXEEXT): $(src_regexxer_OBJECTS) $(src_regexxer_DEPENDENCIES) src/$(am__dirstamp)
  491 	@rm -f src/regexxer$(EXEEXT)
  492 	$(CXXLINK) $(src_regexxer_OBJECTS) $(src_regexxer_LDADD) $(LIBS)
  493 
  494 mostlyclean-compile:
  495 	-rm -f *.$(OBJEXT)
  496 	-rm -f src/completionstack.$(OBJEXT)
  497 	-rm -f src/controller.$(OBJEXT)
  498 	-rm -f src/filebuffer.$(OBJEXT)
  499 	-rm -f src/filebufferundo.$(OBJEXT)
  500 	-rm -f src/fileio.$(OBJEXT)
  501 	-rm -f src/fileshared.$(OBJEXT)
  502 	-rm -f src/filetree.$(OBJEXT)
  503 	-rm -f src/filetreeprivate.$(OBJEXT)
  504 	-rm -f src/main.$(OBJEXT)
  505 	-rm -f src/mainwindow.$(OBJEXT)
  506 	-rm -f src/prefdialog.$(OBJEXT)
  507 	-rm -f src/signalutils.$(OBJEXT)
  508 	-rm -f src/statusline.$(OBJEXT)
  509 	-rm -f src/stringutils.$(OBJEXT)
  510 	-rm -f src/translation.$(OBJEXT)
  511 	-rm -f src/undostack.$(OBJEXT)
  512 
  513 distclean-compile:
  514 	-rm -f *.tab.c
  515 
  516 @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/completionstack.Po@am__quote@
  517 @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/controller.Po@am__quote@
  518 @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/filebuffer.Po@am__quote@
  519 @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/filebufferundo.Po@am__quote@
  520 @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/fileio.Po@am__quote@
  521 @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/fileshared.Po@am__quote@
  522 @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/filetree.Po@am__quote@
  523 @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/filetreeprivate.Po@am__quote@
  524 @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/main.Po@am__quote@
  525 @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/mainwindow.Po@am__quote@
  526 @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/prefdialog.Po@am__quote@
  527 @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/signalutils.Po@am__quote@
  528 @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/statusline.Po@am__quote@
  529 @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/stringutils.Po@am__quote@
  530 @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/translation.Po@am__quote@
  531 @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/undostack.Po@am__quote@
  532 
  533 .cc.o:
  534 @am__fastdepCXX_TRUE@	depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
  535 @am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
  536 @am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
  537 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  538 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  539 @am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ $<
  540 
  541 .cc.obj:
  542 @am__fastdepCXX_TRUE@	depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
  543 @am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
  544 @am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
  545 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  546 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  547 @am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  548 install-desktopDATA: $(desktop_DATA)
  549 	@$(NORMAL_INSTALL)
  550 	test -z "$(desktopdir)" || $(MKDIR_P) "$(DESTDIR)$(desktopdir)"
  551 	@list='$(desktop_DATA)'; test -n "$(desktopdir)" || list=; \
  552 	for p in $$list; do \
  553 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  554 	  echo "$$d$$p"; \
  555 	done | $(am__base_list) | \
  556 	while read files; do \
  557 	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(desktopdir)'"; \
  558 	  $(INSTALL_DATA) $$files "$(DESTDIR)$(desktopdir)" || exit $$?; \
  559 	done
  560 
  561 uninstall-desktopDATA:
  562 	@$(NORMAL_UNINSTALL)
  563 	@list='$(desktop_DATA)'; test -n "$(desktopdir)" || list=; \
  564 	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  565 	test -n "$$files" || exit 0; \
  566 	echo " ( cd '$(DESTDIR)$(desktopdir)' && rm -f" $$files ")"; \
  567 	cd "$(DESTDIR)$(desktopdir)" && rm -f $$files
  568 install-dist_appiconDATA: $(dist_appicon_DATA)
  569 	@$(NORMAL_INSTALL)
  570 	test -z "$(appicondir)" || $(MKDIR_P) "$(DESTDIR)$(appicondir)"
  571 	@list='$(dist_appicon_DATA)'; test -n "$(appicondir)" || list=; \
  572 	for p in $$list; do \
  573 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  574 	  echo "$$d$$p"; \
  575 	done | $(am__base_list) | \
  576 	while read files; do \
  577 	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(appicondir)'"; \
  578 	  $(INSTALL_DATA) $$files "$(DESTDIR)$(appicondir)" || exit $$?; \
  579 	done
  580 
  581 uninstall-dist_appiconDATA:
  582 	@$(NORMAL_UNINSTALL)
  583 	@list='$(dist_appicon_DATA)'; test -n "$(appicondir)" || list=; \
  584 	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  585 	test -n "$$files" || exit 0; \
  586 	echo " ( cd '$(DESTDIR)$(appicondir)' && rm -f" $$files ")"; \
  587 	cd "$(DESTDIR)$(appicondir)" && rm -f $$files
  588 install-dist_pkgdataDATA: $(dist_pkgdata_DATA)
  589 	@$(NORMAL_INSTALL)
  590 	test -z "$(pkgdatadir)" || $(MKDIR_P) "$(DESTDIR)$(pkgdatadir)"
  591 	@list='$(dist_pkgdata_DATA)'; test -n "$(pkgdatadir)" || list=; \
  592 	for p in $$list; do \
  593 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  594 	  echo "$$d$$p"; \
  595 	done | $(am__base_list) | \
  596 	while read files; do \
  597 	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgdatadir)'"; \
  598 	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgdatadir)" || exit $$?; \
  599 	done
  600 
  601 uninstall-dist_pkgdataDATA:
  602 	@$(NORMAL_UNINSTALL)
  603 	@list='$(dist_pkgdata_DATA)'; test -n "$(pkgdatadir)" || list=; \
  604 	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  605 	test -n "$$files" || exit 0; \
  606 	echo " ( cd '$(DESTDIR)$(pkgdatadir)' && rm -f" $$files ")"; \
  607 	cd "$(DESTDIR)$(pkgdatadir)" && rm -f $$files
  608 install-gsettingsschemaDATA: $(gsettingsschema_DATA)
  609 	@$(NORMAL_INSTALL)
  610 	test -z "$(gsettingsschemadir)" || $(MKDIR_P) "$(DESTDIR)$(gsettingsschemadir)"
  611 	@list='$(gsettingsschema_DATA)'; test -n "$(gsettingsschemadir)" || list=; \
  612 	for p in $$list; do \
  613 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  614 	  echo "$$d$$p"; \
  615 	done | $(am__base_list) | \
  616 	while read files; do \
  617 	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(gsettingsschemadir)'"; \
  618 	  $(INSTALL_DATA) $$files "$(DESTDIR)$(gsettingsschemadir)" || exit $$?; \
  619 	done
  620 
  621 uninstall-gsettingsschemaDATA:
  622 	@$(NORMAL_UNINSTALL)
  623 	@list='$(gsettingsschema_DATA)'; test -n "$(gsettingsschemadir)" || list=; \
  624 	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  625 	test -n "$$files" || exit 0; \
  626 	echo " ( cd '$(DESTDIR)$(gsettingsschemadir)' && rm -f" $$files ")"; \
  627 	cd "$(DESTDIR)$(gsettingsschemadir)" && rm -f $$files
  628 
  629 # This directory's subdirectories are mostly independent; you can cd
  630 # into them and run `make' without going through this Makefile.
  631 # To change the values of `make' variables: instead of editing Makefiles,
  632 # (1) if the variable is set in `config.status', edit `config.status'
  633 #     (which will cause the Makefiles to be regenerated when you run `make');
  634 # (2) otherwise, pass the desired values on the `make' command line.
  635 $(RECURSIVE_TARGETS):
  636 	@fail= failcom='exit 1'; \
  637 	for f in x $$MAKEFLAGS; do \
  638 	  case $$f in \
  639 	    *=* | --[!k]*);; \
  640 	    *k*) failcom='fail=yes';; \
  641 	  esac; \
  642 	done; \
  643 	dot_seen=no; \
  644 	target=`echo $@ | sed s/-recursive//`; \
  645 	list='$(SUBDIRS)'; for subdir in $$list; do \
  646 	  echo "Making $$target in $$subdir"; \
  647 	  if test "$$subdir" = "."; then \
  648 	    dot_seen=yes; \
  649 	    local_target="$$target-am"; \
  650 	  else \
  651 	    local_target="$$target"; \
  652 	  fi; \
  653 	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  654 	  || eval $$failcom; \
  655 	done; \
  656 	if test "$$dot_seen" = "no"; then \
  657 	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  658 	fi; test -z "$$fail"
  659 
  660 $(RECURSIVE_CLEAN_TARGETS):
  661 	@fail= failcom='exit 1'; \
  662 	for f in x $$MAKEFLAGS; do \
  663 	  case $$f in \
  664 	    *=* | --[!k]*);; \
  665 	    *k*) failcom='fail=yes';; \
  666 	  esac; \
  667 	done; \
  668 	dot_seen=no; \
  669 	case "$@" in \
  670 	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  671 	  *) list='$(SUBDIRS)' ;; \
  672 	esac; \
  673 	rev=''; for subdir in $$list; do \
  674 	  if test "$$subdir" = "."; then :; else \
  675 	    rev="$$subdir $$rev"; \
  676 	  fi; \
  677 	done; \
  678 	rev="$$rev ."; \
  679 	target=`echo $@ | sed s/-recursive//`; \
  680 	for subdir in $$rev; do \
  681 	  echo "Making $$target in $$subdir"; \
  682 	  if test "$$subdir" = "."; then \
  683 	    local_target="$$target-am"; \
  684 	  else \
  685 	    local_target="$$target"; \
  686 	  fi; \
  687 	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  688 	  || eval $$failcom; \
  689 	done && test -z "$$fail"
  690 tags-recursive:
  691 	list='$(SUBDIRS)'; for subdir in $$list; do \
  692 	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
  693 	done
  694 ctags-recursive:
  695 	list='$(SUBDIRS)'; for subdir in $$list; do \
  696 	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
  697 	done
  698 
  699 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
  700 	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  701 	unique=`for i in $$list; do \
  702 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  703 	  done | \
  704 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  705 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
  706 	mkid -fID $$unique
  707 tags: TAGS
  708 
  709 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  710 		$(TAGS_FILES) $(LISP)
  711 	set x; \
  712 	here=`pwd`; \
  713 	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  714 	  include_option=--etags-include; \
  715 	  empty_fix=.; \
  716 	else \
  717 	  include_option=--include; \
  718 	  empty_fix=; \
  719 	fi; \
  720 	list='$(SUBDIRS)'; for subdir in $$list; do \
  721 	  if test "$$subdir" = .; then :; else \
  722 	    test ! -f $$subdir/TAGS || \
  723 	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  724 	  fi; \
  725 	done; \
  726 	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  727 	unique=`for i in $$list; do \
  728 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  729 	  done | \
  730 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  731 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
  732 	shift; \
  733 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  734 	  test -n "$$unique" || unique=$$empty_fix; \
  735 	  if test $$# -gt 0; then \
  736 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  737 	      "$$@" $$unique; \
  738 	  else \
  739 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  740 	      $$unique; \
  741 	  fi; \
  742 	fi
  743 ctags: CTAGS
  744 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  745 		$(TAGS_FILES) $(LISP)
  746 	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  747 	unique=`for i in $$list; do \
  748 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  749 	  done | \
  750 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  751 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
  752 	test -z "$(CTAGS_ARGS)$$unique" \
  753 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  754 	     $$unique
  755 
  756 GTAGS:
  757 	here=`$(am__cd) $(top_builddir) && pwd` \
  758 	  && $(am__cd) $(top_srcdir) \
  759 	  && gtags -i $(GTAGS_ARGS) "$$here"
  760 
  761 distclean-tags:
  762 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  763 
  764 distdir: $(DISTFILES)
  765 	@case `sed 15q $(srcdir)/NEWS` in \
  766 	*"$(VERSION)"*) : ;; \
  767 	*) \
  768 	  echo "NEWS not updated; not releasing" 1>&2; \
  769 	  exit 1;; \
  770 	esac
  771 	$(am__remove_distdir)
  772 	test -d "$(distdir)" || mkdir "$(distdir)"
  773 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  774 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  775 	list='$(DISTFILES)'; \
  776 	  dist_files=`for file in $$list; do echo $$file; done | \
  777 	  sed -e "s|^$$srcdirstrip/||;t" \
  778 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  779 	case $$dist_files in \
  780 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  781 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  782 			   sort -u` ;; \
  783 	esac; \
  784 	for file in $$dist_files; do \
  785 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  786 	  if test -d $$d/$$file; then \
  787 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  788 	    if test -d "$(distdir)/$$file"; then \
  789 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  790 	    fi; \
  791 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  792 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  793 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  794 	    fi; \
  795 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  796 	  else \
  797 	    test -f "$(distdir)/$$file" \
  798 	    || cp -p $$d/$$file "$(distdir)/$$file" \
  799 	    || exit 1; \
  800 	  fi; \
  801 	done
  802 	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  803 	  if test "$$subdir" = .; then :; else \
  804 	    test -d "$(distdir)/$$subdir" \
  805 	    || $(MKDIR_P) "$(distdir)/$$subdir" \
  806 	    || exit 1; \
  807 	  fi; \
  808 	done
  809 	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  810 	  if test "$$subdir" = .; then :; else \
  811 	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
  812 	    $(am__relativize); \
  813 	    new_distdir=$$reldir; \
  814 	    dir1=$$subdir; dir2="$(top_distdir)"; \
  815 	    $(am__relativize); \
  816 	    new_top_distdir=$$reldir; \
  817 	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
  818 	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
  819 	    ($(am__cd) $$subdir && \
  820 	      $(MAKE) $(AM_MAKEFLAGS) \
  821 	        top_distdir="$$new_top_distdir" \
  822 	        distdir="$$new_distdir" \
  823 		am__remove_distdir=: \
  824 		am__skip_length_check=: \
  825 		am__skip_mode_fix=: \
  826 	        distdir) \
  827 	      || exit 1; \
  828 	  fi; \
  829 	done
  830 	$(MAKE) $(AM_MAKEFLAGS) \
  831 	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
  832 	  dist-hook
  833 	-test -n "$(am__skip_mode_fix)" \
  834 	|| find "$(distdir)" -type d ! -perm -755 \
  835 		-exec chmod u+rwx,go+rx {} \; -o \
  836 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  837 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  838 	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  839 	|| chmod -R a+r "$(distdir)"
  840 dist-gzip: distdir
  841 	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  842 	$(am__remove_distdir)
  843 
  844 dist-bzip2: distdir
  845 	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
  846 	$(am__remove_distdir)
  847 
  848 dist-lzma: distdir
  849 	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
  850 	$(am__remove_distdir)
  851 dist-xz: distdir
  852 	tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
  853 	$(am__remove_distdir)
  854 
  855 dist-tarZ: distdir
  856 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  857 	$(am__remove_distdir)
  858 
  859 dist-shar: distdir
  860 	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  861 	$(am__remove_distdir)
  862 
  863 dist-zip: distdir
  864 	-rm -f $(distdir).zip
  865 	zip -rq $(distdir).zip $(distdir)
  866 	$(am__remove_distdir)
  867 
  868 dist dist-all: distdir
  869 	tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
  870 	$(am__remove_distdir)
  871 
  872 # This target untars the dist file and tries a VPATH configuration.  Then
  873 # it guarantees that the distribution is self-contained by making another
  874 # tarfile.
  875 distcheck: dist
  876 	case '$(DIST_ARCHIVES)' in \
  877 	*.tar.gz*) \
  878 	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
  879 	*.tar.bz2*) \
  880 	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  881 	*.tar.lzma*) \
  882 	  lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
  883 	*.tar.xz*) \
  884 	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  885 	*.tar.Z*) \
  886 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  887 	*.shar.gz*) \
  888 	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
  889 	*.zip*) \
  890 	  unzip $(distdir).zip ;;\
  891 	esac
  892 	chmod -R a-w $(distdir); chmod a+w $(distdir)
  893 	mkdir $(distdir)/_build
  894 	mkdir $(distdir)/_inst
  895 	chmod a-w $(distdir)
  896 	test -d $(distdir)/_build || exit 0; \
  897 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  898 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  899 	  && am__cwd=`pwd` \
  900 	  && $(am__cd) $(distdir)/_build \
  901 	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
  902 	    $(DISTCHECK_CONFIGURE_FLAGS) \
  903 	  && $(MAKE) $(AM_MAKEFLAGS) \
  904 	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
  905 	  && $(MAKE) $(AM_MAKEFLAGS) check \
  906 	  && $(MAKE) $(AM_MAKEFLAGS) install \
  907 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  908 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  909 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  910 	        distuninstallcheck \
  911 	  && chmod -R a-w "$$dc_install_base" \
  912 	  && ({ \
  913 	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  914 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  915 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  916 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  917 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  918 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
  919 	  && rm -rf "$$dc_destdir" \
  920 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
  921 	  && rm -rf $(DIST_ARCHIVES) \
  922 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  923 	  && cd "$$am__cwd" \
  924 	  || exit 1
  925 	$(am__remove_distdir)
  926 	@(echo "$(distdir) archives ready for distribution: "; \
  927 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  928 	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  929 distuninstallcheck:
  930 	@$(am__cd) '$(distuninstallcheck_dir)' \
  931 	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
  932 	   || { echo "ERROR: files left after uninstall:" ; \
  933 	        if test -n "$(DESTDIR)"; then \
  934 	          echo "  (check DESTDIR support)"; \
  935 	        fi ; \
  936 	        $(distuninstallcheck_listfiles) ; \
  937 	        exit 1; } >&2
  938 distcleancheck: distclean
  939 	@if test '$(srcdir)' = . ; then \
  940 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  941 	  exit 1 ; \
  942 	fi
  943 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  944 	  || { echo "ERROR: files left in build directory after distclean:" ; \
  945 	       $(distcleancheck_listfiles) ; \
  946 	       exit 1; } >&2
  947 check-am: all-am
  948 check: $(BUILT_SOURCES)
  949 	$(MAKE) $(AM_MAKEFLAGS) check-recursive
  950 all-am: Makefile $(PROGRAMS) $(SCRIPTS) $(DATA) config.h
  951 installdirs: installdirs-recursive
  952 installdirs-am:
  953 	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(desktopdir)" "$(DESTDIR)$(appicondir)" "$(DESTDIR)$(pkgdatadir)" "$(DESTDIR)$(gsettingsschemadir)"; do \
  954 	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  955 	done
  956 install: $(BUILT_SOURCES)
  957 	$(MAKE) $(AM_MAKEFLAGS) install-recursive
  958 install-exec: install-exec-recursive
  959 install-data: install-data-recursive
  960 uninstall: uninstall-recursive
  961 
  962 install-am: all-am
  963 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  964 
  965 installcheck: installcheck-recursive
  966 install-strip:
  967 	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  968 	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  969 	  `test -z '$(STRIP)' || \
  970 	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  971 mostlyclean-generic:
  972 
  973 clean-generic:
  974 	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  975 
  976 distclean-generic:
  977 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  978 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  979 	-rm -f src/$(DEPDIR)/$(am__dirstamp)
  980 	-rm -f src/$(am__dirstamp)
  981 	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
  982 
  983 maintainer-clean-generic:
  984 	@echo "This command is intended for maintainers to use"
  985 	@echo "it deletes files that may require special tools to rebuild."
  986 	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
  987 clean: clean-recursive
  988 
  989 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
  990 
  991 distclean: distclean-recursive
  992 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  993 	-rm -rf src/$(DEPDIR)
  994 	-rm -f Makefile
  995 distclean-am: clean-am distclean-compile distclean-generic \
  996 	distclean-hdr distclean-tags
  997 
  998 dvi: dvi-recursive
  999 
 1000 dvi-am:
 1001 
 1002 html: html-recursive
 1003 
 1004 html-am:
 1005 
 1006 info: info-recursive
 1007 
 1008 info-am:
 1009 
 1010 install-data-am: install-desktopDATA install-dist_appiconDATA \
 1011 	install-dist_pkgdataDATA install-gsettingsschemaDATA
 1012 	@$(NORMAL_INSTALL)
 1013 	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
 1014 install-dvi: install-dvi-recursive
 1015 
 1016 install-dvi-am:
 1017 
 1018 install-exec-am: install-binPROGRAMS
 1019 
 1020 install-html: install-html-recursive
 1021 
 1022 install-html-am:
 1023 
 1024 install-info: install-info-recursive
 1025 
 1026 install-info-am:
 1027 
 1028 install-man:
 1029 
 1030 install-pdf: install-pdf-recursive
 1031 
 1032 install-pdf-am:
 1033 
 1034 install-ps: install-ps-recursive
 1035 
 1036 install-ps-am:
 1037 
 1038 installcheck-am:
 1039 
 1040 maintainer-clean: maintainer-clean-recursive
 1041 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
 1042 	-rm -rf $(top_srcdir)/autom4te.cache
 1043 	-rm -rf src/$(DEPDIR)
 1044 	-rm -f Makefile
 1045 maintainer-clean-am: distclean-am maintainer-clean-generic
 1046 
 1047 mostlyclean: mostlyclean-recursive
 1048 
 1049 mostlyclean-am: mostlyclean-compile mostlyclean-generic
 1050 
 1051 pdf: pdf-recursive
 1052 
 1053 pdf-am:
 1054 
 1055 ps: ps-recursive
 1056 
 1057 ps-am:
 1058 
 1059 uninstall-am: uninstall-binPROGRAMS uninstall-desktopDATA \
 1060 	uninstall-dist_appiconDATA uninstall-dist_pkgdataDATA \
 1061 	uninstall-gsettingsschemaDATA
 1062 	@$(NORMAL_INSTALL)
 1063 	$(MAKE) $(AM_MAKEFLAGS) uninstall-hook
 1064 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all check \
 1065 	ctags-recursive install install-am install-data-am \
 1066 	install-strip tags-recursive uninstall-am
 1067 
 1068 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
 1069 	all all-am am--refresh check check-am clean clean-binPROGRAMS \
 1070 	clean-generic ctags ctags-recursive dist dist-all dist-bzip2 \
 1071 	dist-gzip dist-hook dist-lzma dist-shar dist-tarZ dist-xz \
 1072 	dist-zip distcheck distclean distclean-compile \
 1073 	distclean-generic distclean-hdr distclean-tags distcleancheck \
 1074 	distdir distuninstallcheck dvi dvi-am html html-am info \
 1075 	info-am install install-am install-binPROGRAMS install-data \
 1076 	install-data-am install-data-hook install-desktopDATA \
 1077 	install-dist_appiconDATA install-dist_pkgdataDATA install-dvi \
 1078 	install-dvi-am install-exec install-exec-am \
 1079 	install-gsettingsschemaDATA install-html install-html-am \
 1080 	install-info install-info-am install-man install-pdf \
 1081 	install-pdf-am install-ps install-ps-am install-strip \
 1082 	installcheck installcheck-am installdirs installdirs-am \
 1083 	maintainer-clean maintainer-clean-generic mostlyclean \
 1084 	mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
 1085 	tags tags-recursive uninstall uninstall-am \
 1086 	uninstall-binPROGRAMS uninstall-desktopDATA \
 1087 	uninstall-dist_appiconDATA uninstall-dist_pkgdataDATA \
 1088 	uninstall-gsettingsschemaDATA uninstall-hook
 1089 
 1090 
 1091 @INTLTOOL_DESKTOP_RULE@
 1092 @INTLTOOL_XML_NOMERGE_RULE@
 1093 
 1094 install-data-hook: install-update-icon-cache
 1095 	$(GLIB_COMPILE_SCHEMAS) $(gsettingsschemadir)
 1096 #$(gsettingsupdateschemacache) $(gsettingsschemadir)
 1097 
 1098 uninstall-hook: uninstall-update-icon-cache
 1099 
 1100 dist-hook: dist-changelog
 1101 
 1102 # Note that this rule creates the ui/ build directory as a side effect.
 1103 # This works just fine because the target is in BUILT_SOURCES and thus
 1104 # built before everything else.  Otherwise a special ui/.dirstamp rule
 1105 # would be necessary.
 1106 ui/stockimages.h: $(stockimages)
 1107 	@mkdir ui >/dev/null 2>&1 || test -d ui
 1108 	@build_list='--build-list'; \
 1109 	list='$(stockimages)'; for file in $$list; do \
 1110 	  name=`expr "X/$$file" : '.*[\\/]\([^.]*\)' | sed 'y/-/_/'`; \
 1111 	  dir=; test -f "$$file" || dir='$(srcdir)/'; \
 1112 	  build_list="$$build_list $$name $$dir$$file"; \
 1113 	done; \
 1114 	echo " $(pixbuf_csource) $$build_list >$@"; \
 1115 	$(pixbuf_csource) $$build_list >$@
 1116 
 1117 dist-changelog:
 1118 	@if test -r "$(top_srcdir)/.git"; then \
 1119 	  if git --git-dir="$(top_srcdir)/.git" --work-tree="$(top_srcdir)" \
 1120 		log --date=short --pretty='format:%cd  %an  <%ae>%n%n%s%n%n%b%n' \
 1121 	  | sed	-e '/^[12]...-[01].-[0123].  [^<>]*  <[^<>]*>$$/,/^$$/ b' \
 1122 		-e '/[^	 ]/,/^[	 ]*$$/! d' \
 1123 		-e 's/^[	 ]*/	/' \
 1124 		-e 's/^[	 ]*$$//' >.ChangeLog.tmp; \
 1125 	  then mv -f .ChangeLog.tmp "$(top_distdir)/ChangeLog"; \
 1126 	  else rm -f .ChangeLog.tmp; exit 1; fi; \
 1127 	fi
 1128 install-update-icon-cache:
 1129 	@$(POST_INSTALL)
 1130 	test -n "$(DESTDIR)" || $(update_icon_cache) "$(iconthemedir)"
 1131 
 1132 uninstall-update-icon-cache:
 1133 	@$(POST_UNINSTALL)
 1134 	test -n "$(DESTDIR)" || $(update_icon_cache) "$(iconthemedir)"
 1135 
 1136 .PHONY: dist-changelog \
 1137 	install-update-icon-cache uninstall-update-icon-cache
 1138 
 1139 .DELETE_ON_ERROR:
 1140 
 1141 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 1142 # Otherwise a system limit (for SysV at least) may be exceeded.
 1143 .NOEXPORT: